org.apache.ivy.util

## Class DefaultMessageLogger

- java.lang.Object
- - org.apache.ivy.util.AbstractMessageLogger
  - - org.apache.ivy.util.DefaultMessageLogger

All Implemented Interfaces:
  MessageLogger

    public class DefaultMessageLogger
    extends AbstractMessageLogger

### Constructor Summary

Constructors
Constructor and Description
`DefaultMessageLogger(int level)`

### Method Summary

Methods
`void` `doEndProgress(java.lang.String msg)` Indicates the end of a long running task
`void` `doProgress()` Indicates a progression for a long running task
`int` `getLevel()`
`void` `log(java.lang.String msg, int level)` Logs a message at the given level.
`void` `rawlog(java.lang.String msg, int level)` Same as `MessageLogger.log(String, int)`, but without adding any contextual information to the message.

### Methods inherited from class org.apache.ivy.util.AbstractMessageLogger

`clearProblems, debug, deprecated, endProgress, endProgress, error, getErrors, getProblems, getWarns, info, isShowProgress, progress, rawinfo, setShowProgress, sumupProblems, verbose, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultMessageLogger

    public DefaultMessageLogger(int level)

Parameters:
  `level` -

### Method Detail

#### log

    public void log(java.lang.String msg,
           int level)

Description copied from interface: `MessageLogger`
Logs a message at the given level.

`level` constants are defined in the `Message` class.

Parameters:
  `msg` - the message to log
  `level` - the level at which the message should be logged.
See Also:
  `Message.MSG_DEBUG`, `Message.MSG_VERBOSE`, `Message.MSG_INFO`, `Message.MSG_WARN`, `Message#MSG_ERROR`

#### rawlog

    public void rawlog(java.lang.String msg,
              int level)

Description copied from interface: `MessageLogger`
Same as `MessageLogger.log(String, int)`, but without adding any contextual information to the message.

Parameters:
  `msg` - the message to log
  `level` - the level at which the message should be logged.

#### doProgress

    public void doProgress()

Description copied from class: `AbstractMessageLogger`
Indicates a progression for a long running task

Specified by:
  `doProgress` in class `AbstractMessageLogger`

#### doEndProgress

    public void doEndProgress(java.lang.String msg)

Description copied from class: `AbstractMessageLogger`
Indicates the end of a long running task

Specified by:
  `doEndProgress` in class `AbstractMessageLogger`
Parameters:
  `msg` - the message associated with long running task end.

#### getLevel

    public int getLevel()